RDS-CREATE-DB-SNAPSHOT(1)

NAME
rds-create-db-snapshot - Create a restorable backup for a database instance

SYNOPSIS

 rds-create-db-snapshot
     DBInstanceIdentifier --db-snapshot-identifier value [General Options]

DESCRIPTION

    Creates a restorable backup of all data and configuration associated with a
 database instance.

ARGUMENTS

 DBInstanceIdentifier
    User-supplied database instance identifier, this is the unique key that
    identifies the existing and active database instance from which to create
    a snapshot. Cannot be empty, or blank, visible characters only. The
    identifier must be 1 to 63 alphanumeric characters or hyphens, is case
    insensitive, and is not case preserving. You can also set this value
    using "--db-instance-identifier". Required.

SPECIFIC OPTIONS

 -s, --db-snapshot-identifier VALUE
    User-supplied snapshot identifier. This identifier may be used for
    future restoration from this snapshot. Cannot be null, empty, blank, or
    any word reserved by the specified database engine. Must be 1 to 255
    alphanumeric characters or underscores. Required.

GENERAL OPTIONS

 --aws-credential-file VALUE
    Location of the file with your AWS credentials. Must not be specified in
    conjunction with --ec2-cert-file-path or --ec2-private-key-file-path.
    This value can be set by using the environment variable
    'AWS_CREDENTIAL_FILE'.

 -C, --ec2-cert-file-path VALUE
    Path to AWS X.509 certificate file. Must be specified in conjunction with
    --ec2-private-key-file-path and must not be specified in conjunction with
    --aws-credential-file. This value can be set by using the environment
    variable 'EC2_CERT'.

 --connection-timeout VALUE
    Specify a connection timeout VALUE (in seconds) for API calls. The
    default value is '30'.

 --debug
    If an error occurs while --debug is used, it will display information
    useful for debugging the problem. The default value is 'false'.

 --delimiter VALUE
    What delimiter to use when displaying delimited (long) results.

 --headers
    If you are displaying tabular or delimited results, it includes the
    column headers. If you are showing xml results, it returns the HTTP
    headers from the service request, if applicable. This is off by default.

 -I, --access-key-id VALUE
    Specify the AWS Access ID to use.

 -K, --ec2-private-key-file-path VALUE
    Path to AWS X.509 private key file. Must be specified in conjunction with
    --ec2-cert-file-path and must not be specified in conjunction with
    --aws-credential-file. This value can be set by using the environment
    variable 'EC2_PRIVATE_KEY'.

 --region VALUE
    Specify region VALUE as the web service region to use. This value can be
    set by using the environment variable 'EC2_REGION'.

 -S, --secret-key VALUE
    Specify the AWS Secret Key to use.

 --service-sig-name VALUE
    Specify the service name to use when signing requests. The default is
    "rds". This value can be set by using the environment variable
    'SERVICE_SIG_NAME'.

 --show-empty-fields
    Show empty fields and rows, using a "(nil)" value. The default is to not
    show empty fields or columns.

 --show-request
    Displays the URL used by the tools to call the AWS Service. The default
    value is 'false'.

 --show-table, --show-long, --show-xml, --quiet
    Specify how the results are displayed: tabular, delimited (long), xml, or
    no output (quiet). Tabular shows a subset of the data in fixed
    column-width form, while long shows all of the returned values delimited
    by a character. The xml is the raw return from the service, while quiet
    suppresses all standard output. The default is tabular, or 'show-table'.

 -U, --url VALUE
    This option will override the URL for the service call with VALUE. This
    value can be set by using the environment variable 'RDS_URL'.

INPUT EXAMPLES

 Create a database snapshot

$PROMPT>rds-create-db-snapshot -i mydatabase01 -s snapshotapril29

OUTPUT

 This command returns a table that contains the following:
 * DBSnapshotId - Name of the snapshot.
 * Snapshot Created - The time (24HR UTC) at which the snapshot was taken.
 * DBInstanceId - User-supplied database identifier, this is the unique key
 that identifies a database instance.
 * Instance Created - The date and time when the database instance was
 created.
 * Engine - The name and version of the database used.
 * Storage - The size of the snapshot's allocated storage (GB).
 * Iops - No description available for this column.
 * Status - All user generated Snapshots will have a status field that will
 have one of the following values: creating, deleting, available.
 * Master Username - The login name of the database's master user.
 * AZ - The original availability zone of the database from which the
 snapshot was taken. This column appears only in the --show-long view.
 * Port - The original port of the database from which the snapshot was
 taken. This column appears only in the --show-long view.
 * Version - The database engine's version number.
 * License - The license model for the database from which the snapshot was
 taken.
 * Snapshot Type - The type of the snapshot, e.g. manual or automated.
 * VpcId - If the database from which the snapshot was taken was in a VPC,
 this specifies the id of that VPC.

OUTPUT EXAMPLES

 Short output for several snapshots

SEE ALSO
  http://docs.amazonwebservices.com/AmazonRDS/2012-09-17/CommandLineReference/
  http://docs.amazonwebservices.com/AmazonRDS/latest/CommandLineReference